﻿html, body, #viewDiv {
    padding: 0;
    margin: 0;
    height: 100%;
    width: 100%;
    /*font-family: 'Source Sans Pro', sans-serif;*/
    /*font-family: "Neo Sans","Trebuchet MS","Droid Sans",DroidSans,Arial,sans-serif;*/
    font-family: Arial,sans-serif;
  }
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
  padding: 0;
    border: 0;
    font-size: 100%;
    vertical-align: baseline;
    /*font-family: "Neo Sans","Trebuchet MS","Droid Sans",DroidSans,Arial,sans-serif;*/
    font-family: Arial, sans-serif;
    /*bakgrunnur texta */
    --calcite-ui-background: #2a4057;
    /*tólastika*/
    --calcite-ui-foreground-1: #2a4057;
    /*hover á takka */
    --calcite-ui-foreground-2: #436488;
    /*takki valinn*/
    --calcite-ui-foreground-3: #537ba7;
  
    /*fyrirsagnir í gluggum */
    --calcite-ui-text-1: #ffffff;
    /*megin texti í gluggum */
    --calcite-ui-text-2: #ffffff;
    /*texti í tólastiku */
    --calcite-ui-text-3: #ffffff;
  

    --calcite-ui-brand: #2a4057;
    --calcite-ui-brand-hover: #2a4057;
}
h3 {
  line-height: 35px;
  text-align: center;
  color: #525252;
}
h4 {
    line-height: 16px;
    text-align: center;
    font-size: 14px;
    padding-bottom: 4px;
}
h5 {
    line-height: 16px;
    text-align: left;
    font-size: 14px;
    padding-bottom: 4px;
}
/*vegna firefox þar þessa skilgreiningu*/
hr {
  clear: both;
  }
.btn {
  background: #3498db;
  background-image: -webkit-linear-gradient(top, #3498db, #2980b9);
  background-image: -moz-linear-gradient(top, #3498db, #2980b9);
  background-image: -ms-linear-gradient(top, #3498db, #2980b9);
  background-image: -o-linear-gradient(top, #3498db, #2980b9);
  background-image: linear-gradient(to bottom, #3498db, #2980b9);
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  color: #ffffff;
  font-size: 16px;
  padding: 8px 15px 7px 15px;
  text-decoration: none;
  border: none;
  margin: 7px 3px;
  float: right;
  cursor: pointer;
}
.btnSmall {
  background: #DDDDDD;
  background-image: -webkit-linear-gradient(top, #DDDDDD, #BFBFBF);
  background-image: -moz-linear-gradient(top, #DDDDDD, #BFBFBF);
  background-image: -ms-linear-gradient(top, #DDDDDD, #BFBFBF);
  background-image: -o-linear-gradient(top, #DDDDDD, #BFBFBF);
  background-image: linear-gradient(to bottom, #DDDDDD, #BFBFBF);
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  color: #ffffff;
  font-size: 12px;
  padding: 5px 7px 5px 7px;
  text-decoration: none;
  border: none;
  margin: 2px 1px 0px 1px;
  float: left;
  cursor: pointer;
}

.btnSmall:active, .activated {

    background: #3498db;
  background-image: -webkit-linear-gradient(top, #3498db, #2980b9);
  background-image: -moz-linear-gradient(top, #3498db, #2980b9);
  background-image: -ms-linear-gradient(top, #3498db, #2980b9);
  background-image: -o-linear-gradient(top, #3498db, #2980b9);
  background-image: linear-gradient(to bottom, #3498db, #2980b9);
  text-decoration: none;
}
.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}


/*--------------------------------- Logo --------------------------------------------*/
.skipulagsstofnunLogo{
    box-shadow: none;
}
@media only screen and (max-width: 430px){
  .skipulagsstofnunLogo {
    display: none;
  }

}


.samsynLogo {
  position: absolute;
  bottom: 53px;
  left: 12px;
   z-index: 1;
  }
  .lukrLogo {
      position: absolute;
      bottom: 22px;
      right: 8px;
      z-index: 1;
  }



  
  /*--------------------------------- tólatakkar á korti --------------------------------------------*/
  .esri-widget--button {
    background-color: #fbfbfb;
    margin-bottom: 4px;
  }
  .uiNoShadow{
    box-shadow: none !important;
  }
  
/*--------------- Leit search ------------------------*/
.esri-search__suggestions-menu{
  max-height: 500px;
}
.esri-search {
  width: 243px;
}

/*---------------legend skýringar ------------------------*/
.esri-legend__service-label{
  display: none;
}
.esri-legend__layer-body .esri-legend__layer-caption{
  display: none;
}
/*---------------popup ------------------------*/
.esri-popup--is-docked {
  margin: 0px 52px 0px 0px;
}

.esri-popup--is-docked-top-left .esri-popup__main-container, .esri-popup--is-docked-top-right .esri-popup__main-container, .esri-popup--is-docked-bottom-left .esri-popup__main-container, .esri-popup--is-docked-bottom-right .esri-popup__main-container {
  max-height: 100%;
}
/*fel title í popup vegna þess að þar á ekki að birtast nafn fitjunar*/
.esri-popup__header-title{
  display: none;
}

.skipulagPopUpTitle{
  font-size: 16px !important;
  font-weight: bolder !important;
  background: white !important;
}

.skipulagPopUpHeading{
  font-size: 15px !important;
  font-weight: bolder !important;
  background: white !important;
  text-decoration: underline !important;
  color: #557031;
}

.esri-button, .esri-elevation-profile__header button {
  background-color: #2a4057;
  border: 1px solid #2a4057;

}

.scrollCell{
    max-height: 80px;
    overflow-y: auto;
    display: block;
}

.esri-widget__table tr th {
  width: 112px;
}
.esri-widget__table tr td {
  width: auto;
}

/*---------------tólastikan ------------------------*/
#actionMenu{
  position: absolute;
  top: 0px;
  right: 0px;
  z-index: 10;
}

 /*--------------- Bookmarks------------------------*/
 .bookmarksDiv {
  position: absolute;
  top: 5px;
  right: 54px;
  /*z-index: 100;*/
 }
 
 #ddBookmarks {
  color: #323232;
  font-family: "Avenir Next", "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 14px;
  padding: 6px;
 }


 
 .settingInput {
  border-radius: 1px;
  padding: 4px 0px 4px 0px;
  border-color: #9f9d9d;
  color: #5a5858;
}

.calcitePanel{
  position: absolute;
    top: 39px;
    right: 54px;
    z-index: 10;
    width: 285px;
    max-height: 80%;
    --calcite-ui-background: #ffffff;
    --calcite-ui-text-2: #ffffff;
    height: fit-content;
}
.container {
  height: fit-content;
}
.calcitePanelContainer{
  color: #2e2e2e;
}

/*--------------- Mæla------------------------*/
.esri-widget--button.active,
.esri-widget--button.active:hover,
.esri-widget--button.active:focus {
  cursor: default;
  background-color: #55703129;
}
.esri-widget--button.active path,
.esri-widget--button.active:hover path,
.esri-widget--button.active:focus path {
  fill: #E4E4E4;
}

/*Fel að hægt sé að velja einingar*/
.esri-area-measurement-2d__settings{
  display: none !important;
}
.esri-distance-measurement-2d__settings{
  display: none !important;
}
/*--------------- timeSlider ------------------------*/
/*
#timeSliderDiv {
  position: absolute;
  left: 5%;
  right: 5%;
  bottom: 20px;
}

#timeSliderDiv .custom-ticks {
  width: 1px;
  height: 9px;
  top: -5px;
}
#timeSliderDiv .custom-labels {
  font-size: 10px;
  transform: rotate(70deg) translate(-2px, 11px)  !important;
}
.esri-time-slider__animation{
  display: none;
}
*/
/*---------------Teikna ------------------------*/

.spinner {
  width: 23px;
}
.spinnerDecimal {
   width: 30px;
}
.ui-spinner-input {
   margin-right: 26px;
   margin-top: 0px;
   margin-bottom: 0px;
}

.colorButton {
   width: 25px;
   height: 25px;
   background: url(../../images/arrowDown.png) no-repeat 11px 15px blue;
}
.btnFontStyle {
   margin-left: 4px;
}
.btnFontStyle.current {
   background-color: darkgray;
}

#colorpaletteDiv {
   position: absolute;
   top: 118px;
   right: 200px;
   z-index: 200;
}

.ui-spinner, .spinner, .ui-widget input{
   font-family: inherit;
   font-size: inherit;
}

.sp-replacer {
  border-radius: 0px !important;
  width: 38px !important;
}
.ui-spinner {
  border-radius: 0px;
}
.settingLine {
  margin-bottom: 6px;
  font-size: 16px;
}
.dSettingsLabel {
  margin-left: 5px;
}

/*---------------prenta ------------------------*/
.esri-print__layout-section, .esri-print__map-only-section {
  border-top: none !important; 
}

/*---------------Fyrirvari ------------------------*/

.fyrirVariP{
  margin-top: 10px;
}
.fyrirVariLinkur{
  margin-top: 10px;
  text-decoration: underline;
  color: #ffffff;
  cursor: pointer;
  font-weight: bolder;
}

/*---------------Info ------------------------*/

.infoH2 {
  font-size: 15px;
  font-weight: bolder;
  color: #2a4057;
}
.infoP{
  margin-top: 10px;
}

/*---------------Leitin ------------------------*/

.esri-ui-top-right{
  padding: 28px 39px 0 0;
}


/*---------------Teikna eftir hnitum ------------------------*/

.myRadionbuttons{
  --calcite-ui-text-1: #2e2e2e;
  --calcite-ui-foreground-1: #cfcfcf;
}

.myCards{
  --calcite-ui-text-1: #2e2e2e;
  --calcite-ui-text-3: #2e2e2e;
  --calcite-ui-foreground-1: #ffffff; 
  padding: 0px 20px 0px 20px !important;
}

.addCoord{
  margin: 6px 0px 5px 19px;
  cursor: pointer;
  background-color: #2a4057;
}
.addCoord:hover {
  background-color: #00598e;
  border: 1px solid #00598e;
  color: #fff;
}

/*---------------   ------------------------*/
#layersPickList, #appsPickList{
  --calcite-ui-foreground-1: #ffffff;
  --calcite-ui-foreground-2: #e0e0e0;
  --calcite-ui-text-1: #2e2e2e;
  --calcite-ui-text-3: #949494;
}

/*--------------- Tengil tólið  ------------------------*/
#linkString {
  width: 100%;
  text-align: center;
  padding: 8px;
  font-size: 16px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

#copyButton {
  margin-top: 10px;
  width: 100%;
}

#copyMessage {
  color: green;
  font-size: 14px;
  display: none;
  text-align: center;
  margin-top: 8px;
}
/*---------------Aðrar Vefsjár tólið  ------------------------*/
.webAppLogo{
  width: 43px;
  padding-left: 8px;
}